######################################################################################################
#  Copyright  Spider Financial Corp - All rights reserved.
#  Unauthorized copying of this file, via any medium is strictly prohibited
#   Proprietary and confidential
#  
#  $Revision: 15737 $
#  $Date: 2016-08-11 09:37:18 -0500 (Thu, 11 Aug 2016) $
#    
#   defaults that are determined at runtime based on user's inputs
######################################################################################################

# dynamic defaults for the series specification
s|\[data_span_start\]|[data_start]|g
s|\[data_span_end\]|[data_end]|g
s|\[data_modelspan_start\]|[data_start]|g
s|\[data_modelspan_end\]|[data_end]|g


# aictest dynamic default
s|\[aictest_td\]|[regression_td]|g

# ARIMA manual defaults
s|\[arima_period\]|[data_period]|g
s|\[arima_title\]|ARIMA ([arima_p],[arima_d],[arima_q])([arima_pp],[arima_dd],[arima_qq]) [arima_period] for [data_title]|g

#Forecast s
s|\[forecast_steps\]|[data_period]|g

#X11 filter
s|\[outlier_ls\]|[outlier_test_ls]|g
s|\[outlier_tc\]|[outlier_test_tc]|g
s|\[outlier_ao\]|[outlier_test_ao]|g
