######################################################################################################
#  Copyright  Spider Financial Corp - All rights reserved.
#  Unauthorized copying of this file, via any medium is strictly prohibited
#   Proprietary and confidential
#  
#  $Revision: 15737 $
#  $Date: 2016-08-11 09:37:18 -0500 (Thu, 11 Aug 2016) $
#    
#  default setting for different X12A specifications
######################################################################################################

# default section for series specification
s|\[data_name\]|Y|g
s|\[data_title\]|sample data title|g
s|\[data_file_format\]|DateValue|g
s|\[data_file\]|data.dat|g

#transform
s|\[transform_func\]|log|g

#outlier test
s|\[outlier_test_lsrun\]|2|g
s|\[outlier_test_ls\]||g
s|\[outlier_test_ao\]||g
s|\[outlier_test_tc\]||g

#aictest
s|\[aictest_td\]||g
s|\[aictest_easter\]||g

#regression
s|\[regression_td\]||g
s|\[regression_const\]||g
s|\[regression_easter\]||g

#Automdl defaults
s|\[automdl_maxar\]|4|g
s|\[automdl_maxma\]|2|g
s|\[automdl_maxd\]|2|g
s|\[automdl_maxdd\]|1|g
s|\[automdl_LBLimit\]|0.99|g

#RegARIMA setting
s|\[estimate_tol\]|1.0e-4|g
s|\[estimate_maxiter\]|1000|g


#ARIMA defaults
s|\[arima_p\]|0|g
s|\[arima_d\]|1|g
s|\[arima_q\]|1|g
s|\[arima_pp\]|0|g
s|\[arima_dd\]|1|g
s|\[arima_qq\]|1|g

#Forecast defaults
s|\[forecast_probability\]|0.95|g
s|\[forecast_exclude\]|0|g




