@echo off
@rem  #####################################################################################################
@rem  Copyright  Spider Financial Corp - All rights reserved.
@rem  Unauthorized copying of this file, via any medium is strictly prohibited
@rem   Proprietary and confidential
@rem  
@rem  $Revision: 15921 $
@rem  $Date: 2016-09-19 16:58:36 -0500 (Mon, 19 Sep 2016) $
@rem  $Author: mohamad $
@rem  $Id: setenv.cmd 15921 2016-09-19 21:58:36Z mohamad $ 
@rem  $HeadURL: https://secure.svnrepository.com/s_oliver/spiderxl/Branches/PARSON/products/output/scripts/setenv.cmd $
@rem
@rem
@rem    Publish release build to internal FTP site
@rem  #####################################################################################################

:: we expect the model identifer as the 1st argument
if "%1" == "" goto error
set X12MODEL=%1
set SF_HOME=%~dp0
::@echo %SF_HOME%

:: does the directory exist
set X12MODEL_PATH=%~dp0%X12MODEL%
::@echo %X12MODEL_PATH%
if not exist "%X12MODEL_PATH%" goto config_error

:: Basic configuration
:: Get the install directory location from NumXL.ini
:: set INSTDIR=
if not exist "%~dp0numxl.ini" goto config_error

@for /f "tokens=2 delims==" %%a in ('%SYSTEMROOT%\system32\find "INSTDIR=" "%~dp0numxl.ini"') do @set NUMXL_HOME=%%a
:: @echo %NUMXL_HOME%

set X12A_DIR=%NUMXL_HOME%\x12a
set GNU_DIR=%NUMXL_HOME%\GNU
set SCRIPTS_DIR=%NUMXL_HOME%\scripts
set TEMPLATES_DIR=%NUMXL_HOME%\templates

:: Basic setup for common tools
set X12A_PROG="%X12A_DIR%\x12a.exe"
set X13AS_PROG="%X12A_DIR%\x13as.exe"
set GENHOL_PROG="%X12A_DIR%\genhol.exe"
set SED_PROG="%GNU_DIR%\sed.exe"
set AWK_PROG="%GNU_DIR%\gawk.exe"
set GREP_PROG="%GNU_DIR%\grep.exe"

:: For x64, we have a 64-bit x12a program
if exist %X12A_PROG% goto FINISH
set X12A_PROG="%X12A_DIR%\x12a64.exe"

:FINISH
:: append a new directory to the path
set PATH=%PATH%;%X12A_DIR%;%GNU_DIR%

cd %X12MODEL_PATH%
goto end

:error
echo missing argument!
echo usage  setevnv.cmd model
goto end

:config_error
echo missing numxl.ini file or the model directory is missing
echo usage  setevnv.cmd model




:end
