@echo off&setlocal enableextensions
@rem  #####################################################################################################
@rem  Copyright  Spider Financial Corp - All rights reserved.
@rem  Unauthorized copying of this file, via any medium is strictly prohibited
@rem   Proprietary and confidential
@rem  
@rem  $Revision: 15737 $
@rem  $Date: 2016-08-11 09:37:18 -0500 (Thu, 11 Aug 2016) $
@rem  $Author: mohamad $
@rem  $Id: x12a.cmd 15737 2016-08-11 14:37:18Z mohamad $ 
@rem  $HeadURL: https://secure.svnrepository.com/s_oliver/spiderxl/Branches/PARSON/products/output/scripts/x12a.cmd $
@rem
@rem  #####################################################################################################

:: (1) get current directory name
:: for loop requires removing trailing backslash from %~dp0 output
SET "CDIR=%~dp0"
SET "CDIR=%CDIR:~0,-1%"
FOR %%i IN ("%CDIR%") DO SET "PARENTFOLDERNAME=%%~nxi"
set MODEL=%PARENTFOLDERNAME%

:: (2) Initialize the environment
call "%~dp0..\setenv.cmd" %MODEL%

:: (3) Run the X12a program
cd %~dp0

"%X12A_PROG%" -P -Q -W -A -I ".\%PARENTFOLDERNAME%" -N

:: (4) Process the error message



goto end

call %~dp0..\setenv.cmd

:: %1 is build/clean
if "%1" == "" goto error

:: %2 is important/full
if "%2" == "" goto error

echo === processing Build script in %~dp0 ===

:: iterate over all sub-directories
cd %~dp0
for /d %%a in (*) do  @if exist %%a\SFBuilder.cmd (call %~dp0%%a\SFBuilder.cmd %1 %2)



goto end


:error


echo missing argument!
echo usage  SFBuilder build/clean WhichLibs
echo  WhichLibs:(full, important)...


:end

endlocal&goto :eof

